Bug 180300 - Review Request: ccrtp
Review Request: ccrtp
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-06 18:36 EST by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 17:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Failed build log (13.74 KB, text/plain)
2006-03-04 18:08 EST, John Mahowald
no flags Details

  None (edit)
Description Andreas Thienemann 2006-02-06 18:36:18 EST
Spec Name or Url: http://helena.bawue.de/~ixs/ccrtp/ccrtp.spec
SRPM Name or Url: http://helena.bawue.de/~ixs/ccrtp/ccrtp-1.3.6-1.src.rpm
Description:
ccRTP is a generic, extensible and efficient C++ framework for
developing applications based on the Real-Time Transport Protocol
(RTP) from the IETF. It is based on Common C++ and provides a full
RTP/RTCP stack for sending and receiving of realtime data by the use
of send and receive packet queues. ccRTP supports unicast,
multi-unicast and multicast, manages multiple sources, handles RTCP
automatically, supports different threading models and is generic as
for underlying network and transport protocols.
Comment 1 John Mahowald 2006-03-04 18:06:35 EST
Doesn't build on devel, x86_64

queue.cpp: In function 'uint32 ost::MD5BasedRandom32()':
queue.cpp:476: error: cast from 'ost::MD5BasedRandom32()::<anonymous union>*' to
'uint32' loses precision
make[3]: *** [queue.lo] Error 1

Comment 2 John Mahowald 2006-03-04 18:08:14 EST
Created attachment 125649 [details]
Failed build log
Comment 3 Yan Morin 2006-04-12 18:14:37 EDT
Same bug is reported here:
http://sourceforge.net/tracker/index.php?func=detail&aid=1310079&group_id=136955&atid=737291

The last ccrtp package is 1.3.7
Comment 4 Yan Morin 2006-04-12 18:32:12 EDT
Debian patch this issue in 
http://ftp.debian.org/debian/pool/main/libc/libccrtp/libccrtp_1.3.6-1.diff.gz

like this:
+diff -ur ccrtp-1.3.1/src/queue.cpp ccrtp-1.3.1.patched/src/queue.cpp
+--- ccrtp-1.3.1/src/queue.cpp	2005-03-24 14:14:18.000000000 +0100
++++ ccrtp-1.3.1.patched/src/queue.cpp	2005-06-07 17:44:57.578322928 +0200
+@@ -452,7 +452,7 @@
+ 		uint8 array[1];
+ 		struct {
+ 			timeval time;
+-			uint32 address;
++			void* address;
+ 			uint8 cname[10];
+ 		} data;
+ 	} message;
+@@ -467,7 +467,7 @@
+ 	message.array[0] =
+ 		static_cast<uint8>(message.data.time.tv_sec * 
+ 				   message.data.time.tv_usec);
+-	message.data.address = (uint32)(&message);
++	message.data.address = (void*)(&message);
+ 	memcpy(message.data.cname,
+ 	       defaultApplication().getSDESItem(SDESItemTypeCNAME).c_str(),10);
+ 

1.3.7 version seems to have void* address; 
but not the cast: message.data.address = (void*)(&message);
Comment 5 Andreas Thienemann 2006-04-24 06:42:56 EDT
Package is upgraded to 1.3.7, which fixes the x86_64 build issue.

Updated files at http://home.bawue.net/~ixs/ccrtp/
Comment 6 Jason Tibbitts 2006-04-28 16:08:55 EDT
Issues:
src/ccrtp/rtp.h is executable in the source tarball.  It gets stuck in the
debuginfo package, which causes rpmlint to complain:

E: ccrtp-debuginfo script-without-shellbang
/usr/src/debug/ccrtp-1.3.7/src/ccrtp/rtp.h

I suggest just doing  chmod 644 src/ccrtp/rtp.h in %prep.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible and is included in the package as %doc.
* source files match upstream:
   6621be1852bd90c3dbbafa895618d8f0  ccrtp-1.3.7.tar.gz
   6621be1852bd90c3dbbafa895618d8f0  ccrtp-1.3.7.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, x86_64).
X rpmlint complains (see above)
* final provides and requires are sane.
* shared libraries are present; ldconfig is invoked as necessary.
* package is not relocatable.
* owns the directoryies it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X rtp.h has inappropriate permissions.
* %clean is present.
O %check not present; no test suite upstream.
* code, not content.
O documentation is large, but is all development-related and in the -devel
subpackage.
* %docs are not necessary for the proper functioning of the package.
* headers are in -devel subpackage.
* pkgconfig files are in -devel.
* unversioned libraries are in the -devel subpackage.
* no libtool .la droppings.
* not a GUI app.

With just one minor issue, I'll go ahead and approve and you can fix it when you
check in.

APPROVED
Comment 7 Andreas Thienemann 2006-04-28 17:53:34 EDT
thx for the review, importing.

Note You need to log in before you can comment on or make changes to this bug.